Skip to main content
POST
/
v1beta
/
organizations
/
{organization_id}
/
invites
/
accept
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.invites.acceptOrganizationInvite({
    organizationId: "<id>",
    body: {
      token: "<value>",
    },
  });

  console.log(result);
}

run();
{
  "organization": {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "org_01h2xcejqtf2nbrexx3vqjhp41",
    "name": "Acme Corporation",
    "logo_image_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

organization_id
string
required

Organization the invitation belongs to (for validation). Pattern: org_[0-9a-hjkmnp-tv-z]{26}

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$

Body

application/json

AcceptOrganizationInviteRequest contains the token to accept an invitation.

token
string
required

The invitation token from the email link.

Maximum string length: 128

Response

Success

AcceptOrganizationInviteResponse contains the organization the user joined.

organization
organization · object
required

The organization the user is now a member of.